Subject: Init files and UTF-8

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Mar 2025 23:00:44 -0700

Severity: wishlist

In (info "(emacs) Init Non-ASCII"), we read that:

       If you want to use non-ASCII characters in your init file, you
    should put a ‘-*-coding: CODING-SYSTEM-*-’ tag on the first line of
    the init file, and specify a coding system that supports the
    character(s) in question.  *Note Recognize Coding::.  This is because
    the defaults for decoding non-ASCII text might not yet be set up by
    the time Emacs reads those parts of your init file which use such
    strings, possibly leading Emacs to decode those strings incorrectly.

Is this correct?  When I open ~/.emacs.d/init.el on this machine,
`buffer-file-coding-system`, it is `prefer-utf-8-unix`, and I can't
recall ever having had a problem with non-ASCII key bindings.

Is the above only true on some platforms?  Should that be noted, or
should it be moved to some platform specific documentation?

Should the default be changed somehow, such that we always use UTF-8
when reading the init file?